/* You can add global styles to this file, and also import other style files */
/* Color Theme Swatches in Hex */
@import url("https://fonts.googleapis.com/css2?family=New+Tegomin&display=swap");
.SAND-1-hex {
  color: #f0f0f2;
}
.SAND-2-hex {
  color: #68788c;
}
.SAND-3-hex {
  color: #bfbab0;
}
.SAND-4-hex {
  color: #a65f37;
}
.SAND-5-hex {
  color: #2f6375;
}

:root {
  --bg-color: #f0f0f2;
  --text-color: #68788c;
  --mine-bg-color: #bfbab0;
  --miner-bg-color: #2f6375;
  --resource-color: #a65f37;
  --warn-color: rgb(235, 72, 22);

  --form-width: 500px;
  --input-width: calc(var(--form-width) * 0.48);
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  background-color: var(--bg-color);
  color: var(--text-color);
  font-family: "New Tegomin", serif;
}

li {
  list-style: none;
}

a {
  text-decoration: none;
  color: var(--text-color);
}

form {
  width: var(--form-width);
}

input {
  font-family: "New Tegomin", serif;
  font-size: 20px;
  border: none;
  background-color: var(--bg-color);
  border-bottom: 1px solid var(--text-color);
  outline: none;
  color: var(--text-color);
  width: var(--input-width);
}

select {
  font-family: "New Tegomin", serif;
  color: var(--text-color);
}

img {
  user-select: none;
}

.exit-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 0;
  right: 0;
  width: 40px;
  height: 40px;
  padding-bottom: 5px;
  background-color: var(--text-color);
  color: var(--bg-color);
  cursor: pointer;
}

.btn {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--text-color);
  color: var(--bg-color);
  padding: 0 10px 5px;
  border-radius: 5px;
  cursor: pointer;
}
